Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence.dataobject
Class VerifierServiceIdpDO

    java.lang.Object
      org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
          org.wso2.solutions.identity.persistence.dataobject.VerifierServiceIdpDO

    public class VerifierServiceIdpDO

extends AbstractDataObject

Constructor Summary
`VerifierServiceIdpDO()`

Method Summary
`java.lang.String` | `getHostName()`
`boolean` | `getIsGlobal()`
`java.util.Set` | `getRelyingParties()`
`java.util.Set` | `getTokens()`
`void` | `setGlobal(boolean isGlobal)`
`void` | `setHostName(java.lang.String hostName)`
`void` | `setIsGlobal(boolean isGlobal)`
`void` | `setRelyingParties(java.util.Set relyingParties)`
`void` | `setTokens(java.util.Set tokens)`

Methods inherited from class org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, setId, setLastUpdatedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifierServiceIdpDO

    public VerifierServiceIdpDO()

Method Detail

### getIsGlobal

    public boolean getIsGlobal()

### getRelyingParties

    public java.util.Set getRelyingParties()

### getTokens

    public java.util.Set getTokens()

### setGlobal

    public void setGlobal(boolean isGlobal)

### setIsGlobal

    public void setIsGlobal(boolean isGlobal)

### setRelyingParties

    public void setRelyingParties(java.util.Set relyingParties)

### setTokens

    public void setTokens(java.util.Set tokens)

### getHostName

    public java.lang.String getHostName()

### setHostName

    public void setHostName(java.lang.String hostName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD